project:
  packs:
    - pack: Nuvoton::NuMicro_DFP
  setups:
    - output:
        # bin, elf, hex, lib
        type: bin
    - setup: Options for ACMPWakeup
      add-path:
        - ../../../../Library/CMSIS/Core/Include
        - ../../../../Library/Device/Nuvoton/M251/Include
        - ../../../../Library/StdDriver/inc
      misc:
        - for-compiler: AC6
          C:
            - -std=c11 -fno-rtti -funsigned-char -fshort-enums -fshort-wchar -ffunction-sections -fdata-sections -w
            - -D__MICROLIB
          ASM:
            - -masm=auto
          Link:
            - --library_type=microlib --map --load_addr_map_info --symbols
            - --info sizes --info totals --strict --summary_stderr --info summarysizes
        - for-compiler: GCC
          C:
            - -std=gnu11 -mthumb -masm-syntax-unified -fmessage-length=0 -fsigned-char -ffunction-sections -fdata-sections
          Link:
            - -mthumb -fmessage-length=0 -fsigned-char --specs=nano.specs --specs=nosys.specs
            - -Wl,--gc-sections,-Map="$elf()$.map"
  linker:
    - script: ../../../../Library/Device/Nuvoton/M251/Source/ARM/APROM.sct
      for-compiler: AC6
    - script: ../../../../Library/Device/Nuvoton/M251/Source/GCC/gcc_arm.ld
      for-compiler: GCC
  groups:
    - group: CMSIS
      files:
        - file: ../../../../Library/Device/Nuvoton/M251/Source/system_M251.c
        - file: ../../../../Library/Device/Nuvoton/M251/Source/ARM/startup_M251.c
          for-compiler: AC6
        - file: ../../../../Library/Device/Nuvoton/M251/Source/GCC/startup_M251.S
          for-compiler: GCC
    - group: Libraries
      files:
        - file: ../../../../Library/StdDriver/src/retarget.c
        - file: ../../../../Library/StdDriver/src/clk.c
        - file: ../../../../Library/StdDriver/src/sys.c
        - file: ../../../../Library/StdDriver/src/uart.c
        - file: ../../../../Library/StdDriver/src/acmp.c
    - group: User
      files:
        - file: ../main.c
